
/////////////////////////////////////////////////////////////////////////////
// This function is called by MIOS when a pot has been moved
/////////////////////////////////////////////////////////////////////////////
void AIN_NotifyChange(unsigned char pin, unsigned int pin_value) __wparam
{
	unsigned char cc=0;

	MIOS_LCD_CursorSet(0x40); // 2nd line
	//MIOS_LCD_PrintCString("POT");
	//MIOS_LCD_PrintBCD1((pin+1));
	//MIOS_LCD_PrintCString(":");
	//MIOS_LCD_PrintBCD3(MIOS_AIN_Pin7bitGet(pin));

/*
	if(kb.COMMODORE==1){
		switch(pin){
			case 0://POT 1
				MIOS_LCD_PrintCString("CHN");
				MIOS_LCD_PrintBCD2(midi_channel);
				MIOS_LCD_PrintCString(" POT 1 : CC#");
				MIOS_LCD_PrintBCD3(MIOS_AIN_Pin7bitGet(pin));
				break;
			case 1://POT 2
				MIOS_LCD_PrintCString("CHN");
				MIOS_LCD_PrintBCD2(midi_channel);
				MIOS_LCD_PrintCString(" POT 2 : CC#");
				MIOS_LCD_PrintBCD3(MIOS_AIN_Pin7bitGet(pin));
				break;
		}
		return;
	}
*/


	switch(pin){

		case 0://POT 1 : CC num 1
			MIOS_LCD_PrintCString("cc46:");
			MIOS_LCD_PrintBCD3(MIOS_AIN_Pin7bitGet(pin));
			MIOS_MIDI_TxBufferPut(176 + midi_channel); // CC at channel n
			MIOS_MIDI_TxBufferPut(46);  // pin number corresponds to CC number
			MIOS_MIDI_TxBufferPut(MIOS_AIN_Pin7bitGet(pin));   // don't send 10bit pin_value,
			//led_num(midi_channel);//lit midi chn led
			break;

		case 1://POT 2 : CC num 2
			MIOS_LCD_PrintCString("cc47:");
			MIOS_LCD_PrintBCD3(MIOS_AIN_Pin7bitGet(pin));
			MIOS_MIDI_TxBufferPut(176 + midi_channel); // CC at channel n
			MIOS_MIDI_TxBufferPut(47);  // pin number corresponds to CC number
			MIOS_MIDI_TxBufferPut(MIOS_AIN_Pin7bitGet(pin));   // don't send 10bit pin_value,
			//led_num(midi_channel);//lit midi chn led
			break;
	

		case 3://TEMPO
			if((pin_value >>2)>=208)return;
			MIOS_LCD_PrintCString("bpm:");
			MIOS_LCD_PrintBCD3(48+(pin_value >>2));
			MCLOCK_BPMSet(48+(pin_value >>2));
			break;
	}



	return;
}


//MBSID

//CUTOFF : 46
//RESONA : 47

/*
//SEND CC !!
MIOS_MIDI_TxBufferPut(176 + midi_channel); // CC at channel n
MIOS_MIDI_TxBufferPut(MIOS_EEPROM_Read(0x10 + midi_channel));  // pin number corresponds to CC number
MIOS_MIDI_TxBufferPut(MIOS_AIN_Pin7bitGet(pin));   // don't send 10bit pin_value,
*/
